Package Details: theli 3.1.4-6

Git Clone URL: https://aur.archlinux.org/theli.git (read-only, click to copy)
Package Base: theli
Description: THELI is a data processing pipeline for optical, near-infrared and mid-infrared astronomical images
Upstream URL: https://github.com/schirmermischa/THELI
Keywords: astrometry astronomy astrophotography
Licenses: GPL3
Submitter: Mr.Smith1974
Maintainer: Mr.Smith1974
Last Packager: Mr.Smith1974
Votes: 1
Popularity: 0.004108
First Submitted: 2023-06-05 13:53 (UTC)
Last Updated: 2023-07-23 06:52 (UTC)

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

StenSipma commented on 2023-06-17 11:35 (UTC) (edited on 2023-06-17 11:36 (UTC) by StenSipma)

I have two comments:

  1. The dependency for libraw is not included (build fails without it being installed)

  2. The build fails with the following error:

    /usr/bin/qmake -install qinstall /home/sten/.cache/paru/clone/theli/src/THELI-3.1.4/python/mpc_query.py /home/sten/.cache/paru/clone/theli/pkg/theli/usr/share/theli/python/mpc_query.py
    Error copying /home/sten/.cache/paru/clone/theli/src/THELI-3.1.4/src/theli to /home/sten/.cache/paru/clone/theli/pkg/theli/usr/bin/theli: Cannot open /home/sten/.cache/paru/clone/theli/src/THELI-3.1.4/src/theli for input
    make: *** [Makefile:5335: install_installfiles] Error 3

From what I can find, is that the theli executable is not in the THELI-3.1.4/src directory but in THELI-3.1.4/ instead:

$ ls ~/.cache/paru/clone/theli/src/THELI-3.1.4/theli
~/.cache/paru/clone/theli/src/THELI-3.1.4/theli
$ ls ~/.cache/paru/clone/theli/src/THELI-3.1.4/src/theli
ls: cannot access '~/.cache/paru/clone/theli/src/THELI-3.1.4/src/theli': No such file or directory